# AP4_ByteStream Class Reference

`#include <Ap4ByteStream.h>`

Inheritance diagram for AP4_ByteStream:

List of all members.

## Public Member Functions
virtual AP4_Result | ReadPartial (void *buffer, AP4_Size bytes_to_read, AP4_Size &bytes_read)=0
AP4_Result | Read (void *buffer, AP4_Size bytes_to_read)
AP4_Result | ReadDouble (double &value)
AP4_Result | ReadUI64 (AP4_UI64 &value)
AP4_Result | ReadUI32 (AP4_UI32 &value)
AP4_Result | ReadUI24 (AP4_UI32 &value)
AP4_Result | ReadUI16 (AP4_UI16 &value)
AP4_Result | ReadUI08 (AP4_UI08 &value)
AP4_Result | ReadString (char *buffer, AP4_Size size)
virtual AP4_Result | WritePartial (const void *buffer, AP4_Size bytes_to_write, AP4_Size &bytes_written)=0
AP4_Result | Write (const void *buffer, AP4_Size bytes_to_write)
AP4_Result | WriteString (const char *string_buffer)
AP4_Result | WriteDouble (double value)
AP4_Result | WriteUI64 (AP4_UI64 value)
AP4_Result | WriteUI32 (AP4_UI32 value)
AP4_Result | WriteUI24 (AP4_UI32 value)
AP4_Result | WriteUI16 (AP4_UI16 value)
AP4_Result | WriteUI08 (AP4_UI08 value)
virtual AP4_Result | Seek (AP4_Position position)=0
virtual AP4_Result | Tell (AP4_Position &position)=0
virtual AP4_Result | GetSize (AP4_LargeSize &size)=0
virtual AP4_Result | CopyTo (AP4_ByteStream &stream, AP4_LargeSize size)
virtual AP4_Result | Flush ()

## Detailed Description

Definition at line 43 of file Ap4ByteStream.h.

## Member Function Documentation

virtual AP4_Result AP4_ByteStream::ReadPartial | ( | void * | buffer,
|  | AP4_Size | bytes_to_read,
|  | AP4_Size & | bytes_read |
| ) |  |  | `[pure virtual]`

Implemented in AP4_SubStream, AP4_MemoryByteStream, AP4_FileByteStream, AP4_DecryptingStream, and AP4_EncryptingStream.

Referenced by AP4_FileByteStream::ReadPartial().

AP4_Result AP4_ByteStream::Read | ( | void * | buffer,
|  | AP4_Size | bytes_to_read |
| ) |  |  |

AP4_Result AP4_ByteStream::ReadDouble | ( | double & | value | ) |

AP4_Result AP4_ByteStream::ReadUI64 | ( | AP4_UI64 & | value | ) |

AP4_Result AP4_ByteStream::ReadUI32 | ( | AP4_UI32 & | value | ) |

AP4_Result AP4_ByteStream::ReadUI24 | ( | AP4_UI32 & | value | ) |

AP4_Result AP4_ByteStream::ReadUI16 | ( | AP4_UI16 & | value | ) |

AP4_Result AP4_ByteStream::ReadUI08 | ( | AP4_UI08 & | value | ) |

AP4_Result AP4_ByteStream::ReadString | ( | char * | buffer,
|  | AP4_Size | size |
| ) |  |  |

virtual AP4_Result AP4_ByteStream::WritePartial | ( | const void * | buffer,
|  | AP4_Size | bytes_to_write,
|  | AP4_Size & | bytes_written |
| ) |  |  | `[pure virtual]`

Implemented in AP4_SubStream, AP4_MemoryByteStream, AP4_FileByteStream, AP4_DecryptingStream, and AP4_EncryptingStream.

Referenced by AP4_FileByteStream::WritePartial().

AP4_Result AP4_ByteStream::Write | ( | const void * | buffer,
|  | AP4_Size | bytes_to_write |
| ) |  |  |

AP4_Result AP4_ByteStream::WriteString | ( | const char * | string_buffer | ) |

AP4_Result AP4_ByteStream::WriteDouble | ( | double | value | ) |

AP4_Result AP4_ByteStream::WriteUI64 | ( | AP4_UI64 | value | ) |

AP4_Result AP4_ByteStream::WriteUI32 | ( | AP4_UI32 | value | ) |

AP4_Result AP4_ByteStream::WriteUI24 | ( | AP4_UI32 | value | ) |

AP4_Result AP4_ByteStream::WriteUI16 | ( | AP4_UI16 | value | ) |

AP4_Result AP4_ByteStream::WriteUI08 | ( | AP4_UI08 | value | ) |

virtual AP4_Result AP4_ByteStream::Seek | ( | AP4_Position | position | ) | `[pure virtual]`

Implemented in AP4_SubStream, AP4_MemoryByteStream, AP4_FileByteStream, AP4_DecryptingStream, and AP4_EncryptingStream.

Referenced by AP4_FileByteStream::Seek().

virtual AP4_Result AP4_ByteStream::Tell | ( | AP4_Position & | position | ) | `[pure virtual]`

Implemented in AP4_SubStream, AP4_MemoryByteStream, AP4_FileByteStream, AP4_DecryptingStream, and AP4_EncryptingStream.

Referenced by AP4_FileByteStream::Tell().

virtual AP4_Result AP4_ByteStream::GetSize | ( | AP4_LargeSize & | size | ) | `[pure virtual]`

Implemented in AP4_SubStream, AP4_MemoryByteStream, AP4_FileByteStream, AP4_DecryptingStream, and AP4_EncryptingStream.

Referenced by AP4_FileByteStream::GetSize().

virtual AP4_Result AP4_ByteStream::CopyTo | ( | AP4_ByteStream & | stream,
|  | AP4_LargeSize | size |
| ) |  |  | `[virtual]`

virtual AP4_Result AP4_ByteStream::Flush | ( |  | ) | `[inline, virtual]`

Reimplemented in AP4_FileByteStream.

Definition at line 73 of file Ap4ByteStream.h.

References AP4_SUCCESS.

Referenced by AP4_FileByteStream::Flush().

The documentation for this class was generated from the following file:

- Ap4ByteStream.h